LINUX.ORG.RU

Драйвера для ATI Radeon HD4350

 , ,


0

1

Имею данную видеокарту, уже поставил в десктоп эксперимента-ради (хочу гнать её уже с повышением напряжения). Сделал sudo apt-get purge nvidia-* (система debian jessie 8.3), стёр xorg.conf.

Иксы стартанули, но не в привычном мне разрешении экрана, искал в настройках системы - доступно только 1280 на 1024, вместо 1920x1080.

В общем нужен драйвер, нормальный драйвер. Glxgears работает. Игрушки работают. Но не в FullHD. CSS работает с 10 fps (А должен работать в FullHD с приемлемой производительностью (20-30 Fps)).

Просветите, какие драйвера существуют в linux для ATI/AMD, никогда не пользовался ATI под Linux, поэтому не знаю. Слышал, что есть открытые быстрые дрова и медленные проприетарные (не он ли fireglx?), нужна только эта информация.

fglrx - проприетарные, раньше были быстрее, не знаю как сейчас.
есть ещё открытые, у тебя вроде на r600 карточка, тоже должны нормально работать. glxinfo в студию.

Yossarian ()

Открытые на большинстве карт медленнее блоба или вешают видеокарту. Но сейчас конечно прибежит пара местных свидетелей святого драйвера с единственной картой, на которой он работает, и расскажет что всё не так.

anonymous ()
Ответ на: комментарий от Yossarian

При загрузке системы что-то выводилось про error r600g.

name of display: :0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGIS_multisample, GLX_SGIX_fbconfig, 
    GLX_SGIX_pbuffer, GLX_SGI_make_current_read
client glx vendor string: Mesa Project and SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile, 
    GLX_ARB_create_context_robustness, GLX_ARB_fbconfig_float, 
    GLX_ARB_framebuffer_sRGB, GLX_ARB_get_proc_address, GLX_ARB_multisample, 
    GLX_EXT_buffer_age, GLX_EXT_create_context_es2_profile, 
    GLX_EXT_fbconfig_packed_float, GLX_EXT_framebuffer_sRGB, 
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, 
    GLX_EXT_visual_rating, GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer, 
    GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_SGI_make_current_read, 
    GLX_SGI_swap_control, GLX_SGI_video_sync
GLX version: 1.4
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, GLX_EXT_visual_rating, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_multithread_makecurrent, 
    GLX_MESA_query_renderer, GLX_OML_swap_method, GLX_SGIS_multisample, 
    GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGI_make_current_read
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.5, 128 bits)
OpenGL version string: 3.0 Mesa 10.3.2
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions: ......... (дальше много инфы)

CPU-550 ()

Из fglrx уже выпилили эту карточку давно. Только открытые сейчас.

dyb4hzvo ()

У меня 4650 работала на открытых. Если хочешь блоб - древнее ядро + древние иксы и тогда оно запуститься(есть хауту где-то как обойти версию ядра, может сработать. А вот иксы похоже без вариантов, и там одно другое тянет вроде). Без блоба в игрули не поиграешь.

anonymous ()

Из fglrx уже выпилили эту карточку давно

Без блоба в игрули не поиграешь.

Что так плохо то?

CPU-550 ()

Твоя карточка с открытыми заведется прекрасно, проблема только в том, что дрова эти у тебя почему-то не стоят. LLVMpipe в glxinfo намекаэ.

Покажи, что ли, dmesg.

morse ★★★★★ ()
Ответ на: комментарий от CPU-550

У тебя софтовый рендеринг, а драйвер не работает.

anonymous ()
Ответ на: комментарий от morse

Вот эта волшебная строчка, про которую я говорил выше:

[ 9.686735] [drm:radeon_pci_probe] *ERROR* radeon kernel modesetting for R600 or later requires firmware-linux-nonfree.

Значит придётся действовать по этому мануалу?

CPU-550 ()

Ставь свободные дрова, прекрасно работают, сам на них сижу.

Michail_Ul ★★ ()
Ответ на: комментарий от CPU-550

Ну например. Но вообще, зачем тебе мануал? Что тебе непонятно в строчке «radeon kernel modesetting for R600 or later requires firmware-linux-nonfree»?

morse ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.